Bug 1471206 - mariadb library upgrade to 10.2 causes vdr-scraper2vdr FTBFS
mariadb library upgrade to 10.2 causes vdr-scraper2vdr FTBFS
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: vdr-scraper2vdr (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: mgansser@alice.de
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 1467297
  Show dependency treegraph
 
Reported: 2017-07-14 12:58 EDT by Augusto Caringi
Modified: 2017-07-21 14:41 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-07-21 14:41:44 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patch to allow compilation of vdr-scraper2vdr with MariaDB 10.2 (1.02 KB, patch)
2017-07-14 12:58 EDT, Augusto Caringi
no flags Details | Diff

  None (edit)
Description Augusto Caringi 2017-07-14 12:58:52 EDT
Created attachment 1298509 [details]
Patch to allow compilation of vdr-scraper2vdr with MariaDB 10.2

Trying to build vdr-scraper2vdr with the new version of MariaDB 10.2 causes a build error:

db.c: In member function 'int cDbConnection::errorSql(cDbConnection*, const char*, MYSQL_STMT*, const char*)':
db.c:1347:17: error: 'CR_INVALID_CONN_HANDLE' was not declared in this scope
        error == CR_INVALID_CONN_HANDLE ||
                 ^~~~~~~~~~~~~~~~~~~~~~
db.c:1347:17: note: suggested alternative: 'CR_INVALID_BUFFER_USE'
        error == CR_INVALID_CONN_HANDLE ||
                 ^~~~~~~~~~~~~~~~~~~~~~
                 CR_INVALID_BUFFER_USE
db.c:1351:17: error: 'CR_CONN_UNKNOW_PROTOCOL' was not declared in this scope
        error == CR_CONN_UNKNOW_PROTOCOL ||
                 ^~~~~~~~~~~~~~~~~~~~~~~
db.c:1351:17: note: suggested alternative: 'CR_CONN_UNKNOWN_PROTOCOL'
        error == CR_CONN_UNKNOW_PROTOCOL ||
                 ^~~~~~~~~~~~~~~~~~~~~~~
                 CR_CONN_UNKNOWN_PROTOCOL

In this new version of the library the define CR_CONN_UNKNOW_PROTOCOL was renamed to CR_CONN_UNKNOWN_PROTOCOL and the define CR_INVALID_CONN_HANDLE was dropped. I attached a patch proposal to fix the problem.

We are tracking all the possible problems regarding this MariaDB upgrade in the bug 1467297.

Copr build: https://copr.fedorainfracloud.org/coprs/g/db-sig/mariadb-10.2/package/vdr-scraper2vdr/
Comment 1 mgansser@alice.de 2017-07-20 11:05:00 EDT
successfully build for rawhide
https://koji.fedoraproject.org/koji/taskinfo?taskID=20629445
Comment 2 Adam Williamson 2017-07-21 14:41:44 EDT
If its successfully built we can close the bug, nothing else is needed for Rawhide.

Note You need to log in before you can comment on or make changes to this bug.